# Activation challenges

## Create an Activation challenge

 - [POST /v1/mfa/challenges/activation](https://docs.solarisgroup.com/api-reference/onboarding/device-management/activation-challenges/paths/~1v1~1mfa~1challenges~1activation/post.md): Generate a new activation code that can be delivered to endcustomer by the partner.

## List Activation Challenges for a person

 - [GET /v1/mfa/challenges/activation](https://docs.solarisgroup.com/api-reference/onboarding/device-management/activation-challenges/paths/~1v1~1mfa~1challenges~1activation/get.md): Returns a list of activation challenges based on the filter criterias.

## Retrieve an Activation challenge

 - [GET /v1/mfa/challenges/activation/{id}](https://docs.solarisgroup.com/api-reference/onboarding/device-management/activation-challenges/paths/~1v1~1mfa~1challenges~1activation~1%7Bid%7D/get.md): Returns a previously created activation challenge.

## Delete an Activation challenge

 - [DELETE /v1/mfa/challenges/activation/{id}](https://docs.solarisgroup.com/api-reference/onboarding/device-management/activation-challenges/paths/~1v1~1mfa~1challenges~1activation~1%7Bid%7D/delete.md): Marks an activation challenge as expired so that it cannot be used anymore.

## Create a delivery event for an activation challenge

 - [POST /v1/mfa/challenges/activation/{id}/delivery_events](https://docs.solarisgroup.com/api-reference/onboarding/device-management/activation-challenges/paths/~1v1~1mfa~1challenges~1activation~1%7Bid%7D~1delivery_events/post.md): Registers a new delivery event that updates the delivery status of an activation challenge.

## List delivery events for an activation challenge.

 - [GET /v1/mfa/challenges/activation/{id}/delivery_events](https://docs.solarisgroup.com/api-reference/onboarding/device-management/activation-challenges/paths/~1v1~1mfa~1challenges~1activation~1%7Bid%7D~1delivery_events/get.md): Returns a list delivery events for a given activation challenge (sorted descending by timestamp).

## Retrieve a delivery event.

 - [GET /v1/mfa/challenges/activation/{activation_challenge_id}/delivery_events/{id}](https://docs.solarisgroup.com/api-reference/onboarding/device-management/activation-challenges/paths/~1v1~1mfa~1challenges~1activation~1%7Bactivation_challenge_id%7D~1delivery_events~1%7Bid%7D/get.md): Returns an activation challenge delivery event.

